<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>HTML Purifier 4.2.0 released - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">HTML Purifier 4.2.0 released</h1>

<div id="content">
  <p>
HTML Purifier 4.2.0 is a minor release that implements a number of
feature requests accumulated over half a year.  New configuration
options include %Core.RemoveProcessingInstructions,
%CSS.ForbiddenProperties, %HTML.FlashAllowFullScreen and
%Core.NormalizeNewlines.  Additionally,%URI.DisableResources is
now functional and file: is an optionally supported URI scheme.
There are also some minor bugfixes, usability improvements and
documentation updates.
  </p>
  <p>
    See <a
        href="http://repo.or.cz/w/htmlpurifier.git/blob/882ffed9babb9ddc20bfb0979b14bb52d64c96c4:/NEWS">NEWS</a>
    for a complete changelog.
  </p>
  <p>
    Along with this release, we would like to announce full disclosure
    on the security vulnerability patched in 4.1.0 and 4.1.1.  Please
    see the <a href="security/2010/css-quoting" xc:absolute="href">CSS
        Quoting</a> full disclosure page.
  </p>
</div>
</div>
</body>
</html>
